=== debian/changelog ===
libkolabxml (1.0.1-0ubuntu3) trusty; urgency=medium

  * No change rebuild for phpapi-20121212+lfs (LFS ABI break on 32-bit
    arches).

 -- Robie Basak <robie.basak@ubuntu.com>  Wed, 19 Feb 2014 08:21:03 +0000

libkolabxml (1.0.1-0ubuntu2) trusty; urgency=low

  * Remove dh_makeshlibs, not required with abi bump
  * Fix lintian overrides to use new package name

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 11 Dec 2013 12:41:19 +0100

libkolabxml (1.0.1-0ubuntu1) trusty; urgency=low

  * New upstream release
  * Add php5-cli to Build-Depends for running tests
  * libkolabxml0 is now libkolabxml1
  * Update install files
  * Drop xcardconversions-spelling-error.patch, applied upstream

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 10 Dec 2013 15:54:56 +0100

libkolabxml (0.8.4-5build1) trusty; urgency=low

  * No change rebuild against Boost 1.54.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sun, 27 Oct 2013 00:39:49 +0100
