=== debian/watch ===
version=3
http://git.kolab.org/libkolabxml/ \
  /libkolabxml/snapshot/libkolabxml-([0-9\.]+)\.tar\.gz
