=== debian/changelog ===
libkolabxml (1.0.2-2build1) vivid; urgency=medium

  * No change rebuild against PHP 5.6 (phpapi-20131226).

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 27 Jan 2015 15:55:14 +0000

libkolabxml (1.0.2-2) unstable; urgency=medium

  * Fix symbols file. Part of it was accidentally deleted.

 -- Diane Trout <diane@ghic.org>  Sun, 28 Sep 2014 21:40:40 -0700

libkolabxml (1.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove patch applied upstream: xsdcxx-4.0-support.patch
  * Update symbols file.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 04 Sep 2014 13:27:54 +0200

libkolabxml (1.0.1-4) unstable; urgency=medium

  * Team upload.

  * Update symbols files. (Closes: #755562).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 25 Aug 2014 20:07:26 +0200

libkolabxml (1.0.1-3) unstable; urgency=medium

  * Team upload.

  [ Diane Trout ]
  * Add xsdcxx-4.0-support.patch (Closes: #756866)
  * Update libkolabxml1.symbols
    - many symbols changed due to change in simple_type template
    - needed to tag many symbols that used auto_ptr template
      as (optional=templinst)
    - The components2 namespace was not generated by xsdcxx.
    - A few symbols associated with valarm moved from components1
      to components namespace.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 18 Aug 2014 15:27:40 +0200

libkolabxml (1.0.1-2) unstable; urgency=medium

  * Team upload.
  * Update symbols files. (Closes: #755562)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 22 Jul 2014 11:51:49 +0200

libkolabxml (1.0.1-1) unstable; urgency=medium

  * Team upload.

  [ Paul Klos ]
  * Imported Upstream version 1.0.1 (Closes: #730600)

  [ Diane Trout ]
  * Add libkolabxml1.symbols.
  * Remove no-symbols-control-file from lintian overrides.
  * Add libcurl4-gnutls-dev to libkolabxml-dev dependencies.
    Without that building kdepim-runtime didn't know it needed curl.
  * Add myself to uploaders.
  * Update Standards-Version to 3.9.5. No changes needed.
  * Update Vcs-Git to canonical URL.
  * Force specific python versions for SWIG, avoids linking against
    python 3 if its available.

 -- Diane Trout <diane@ghic.org>  Sat, 28 Jun 2014 20:31:35 -0700
