=== debian/changelog ===
libkolabxml (1.1.1-3) unstable; urgency=medium

  * Update symbols file for other architectures.

 -- Diane Trout <diane@debian.org>  Wed, 19 Aug 2015 15:55:43 -0700

libkolabxml (1.1.1-2) unstable; urgency=medium

  * Add breaks/replaces on pre-gcc5 library name.
  * Remove override_dh_makeshlibs, it was a relic
    from before libkolabxml was using pkgkde_symbolshelper.

 -- Diane Trout <diane@debian.org>  Tue, 18 Aug 2015 15:19:13 -0700

libkolabxml (1.1.1-1) unstable; urgency=medium

  * Update Diane Trout's email address
  * Rename libkolabxml1 to libkolabxml1v5 and create a new symbols
    file as many symbols changed because of the transition to gcc-5
  * New upstream release

 -- Diane Trout <diane@debian.org>  Tue, 18 Aug 2015 12:09:57 -0700

libkolabxml (1.1.0-3) unstable; urgency=medium

  * Team upload.
  * Update symbols files to build on all plattforms.

 -- Sandro Knauß <bugs@sandroknauss.de>  Sun, 31 May 2015 22:49:24 +0200

libkolabxml (1.1.0-2) unstable; urgency=medium

  * Get libkolabxml into unstable. It was uploaded to expermental because of
    the freeze.

 -- Sandro Knauß <bugs@sandroknauss.de>  Wed, 27 May 2015 17:59:20 +0200

libkolabxml (1.1.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Team upload.
  * New upstream release.
  * Added myself to uploaders with Diane's permission.
  * Added dh-python as BuildDep.
    - A warning in build process suggested this
  * Updated libkolabxml1.symbols (two missing symbols, no SONAME bumping).
    - one missing symbol:
    KolabObjects::getConfiguratinoType(Configuration::ConfigurationType)
    only a typo, till now only libkolab is dependend on libkolabxml and
    libkolab does not use this symbol. So the missing symbol can be seen
    as an internal one at the moment.
    - the other one uses auto_ptr, all auto_ptr symbols are internal ones.
  * Updated and reorderd copyright file.
  * Updated libkolabxml1.lintian-overrides to new soname.
  * Switched downloadurl to http://mirror.kolabsys.com/pub/releases/
    (there are also signed packages available, but unfortunately not
    detached)

  [ Diane Trout ]
  * Update symbols file with other architecture build logs.
    This should fix (Closes: #761934)
  * Update Standards-Version to 3.9.6. No changes needed.

 -- Sandro Knauß <bugs@sandroknauss.de>  Mon, 09 Mar 2015 17:42:42 +0100
