=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,3 @@
 	mkdir -p debian/tmp/usr/share/php
 	mv debian/tmp/usr/lib/php5/$(PHPAPI)/kolabformat.php debian/tmp/usr/share/php/kolabformat.php
 	dh_install --fail-missing
-
-override_dh_makeshlibs:
-	dh_makeshlibs -V 'libkolabxml1 (>= 1.0.1)'
