=== debian/changelog ===
libkolabxml (1.1.2-0ubuntu3) xenial; urgency=medium

  * Disable php-kolabformat while swig does not support PHP7.0 (LP: #1546823).
    - http://lists.kolab.org/pipermail/users/2015-December/020357.html

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Tue, 05 Apr 2016 10:02:53 -0700

libkolabxml (1.1.2-0ubuntu2) xenial; urgency=medium

  * Update symbols for all architectures 

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 09 Mar 2016 12:21:41 +0100

libkolabxml (1.1.2-0ubuntu1) xenial; urgency=medium

  * Debian merge: no remaining changes.
  * New upstream bugfix release. 
  * Update source. 
  * refresh symbols. 
  * refresh amd64 symbols. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 04 Mar 2016 10:56:43 -0800

libkolabxml (1.1.1-2) UNRELEASED; urgency=medium

  * Add breaks/replaces on pre-gcc5 library name.

 -- Diane Trout <diane@debian.org>  Tue, 18 Aug 2015 14:52:14 -0700
