=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libkolabxml
 Section: libs
 Priority: optional
-Maintainer: Debian Kolab Maintainers <pkg-kolab-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Kolab Maintainers <pkg-kolab-devel@lists.alioth.debian.org>
 Uploaders: Paul Klos <kolab@klos2day.nl>, Diane Trout <diane@debian.org>, Sandro Knauß <bugs@sandroknauss.de>
 Build-Depends: cmake,
                debhelper (>= 9),
@@ -15,8 +16,6 @@
                libboost-thread-dev,
                swig,
                libcurl4-gnutls-dev,
-               php5-dev,
-               php5-cli,
                python-dev (>= 2.7),
                libqt4-dev
 X-Python-Version: >= 2.7
@@ -39,19 +38,6 @@
  .
  This package provides serialization/deserialization from/to  in-memory
  representations for all Kolab Objects, including input validation.
-
-Package: php-kolabformat
-Architecture: any
-Depends: libkolabxml1v5 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends},
-         ${php:Depends},
-         ucf
-Description: PHP bindings for Kolab Format 3.0 XML parsing
- Libkolabxml is the reference implementation of the Kolab XML format
- For more information see the libkolabxml package.
- .
- This package provides PHP bindings for libkolabxml.
 
 Package: python-kolabformat
 Architecture: any
