=== debian/rules ===
#!/usr/bin/make -f

PYTHON := $(shell pyversions -d)
PYTHON_SITEARCH := $(shell python -c 'from distutils.sysconfig import get_python_lib; print get_python_lib(1)')

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND="-Wl,--as-needed"

%:
	dh $@ --parallel --with python2,pkgkde_symbolshelper

override_dh_gencontrol:
	dh_gencontrol

override_dh_auto_configure:
	dh_auto_configure -- \
		-DPHP_BINDINGS=OFF \
		-DPYTHON_BINDINGS=ON \
		-DPYTHON_INSTALL_DIR=$(PYTHON_SITEARCH) \
		-DPYTHON_INCLUDE_DIR=/usr/include/$(PYTHON) \
		-DPYTHON_LIBRARY=/usr/lib/$(DEB_BUILD_MULTIARCH)/lib$(PYTHON).so

override_dh_install:
	dh_install --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -V 'libkolabxml1 (>= 1.0.1)'
